Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform
Class FileMonitor

    java.lang.Object
      com.sun.jna.platform.FileMonitor

Direct Known Subclasses:
  W32FileMonitor

    public abstract class FileMonitor

extends java.lang.Object

Provides notification of file system changes. Actual capabilities may vary slightly by platform.

Watched files which are removed from the filesystem are no longer watched.

Nested Class Summary
`class` | `FileMonitor.FileEvent`
`static interface` | `FileMonitor.FileListener`

Field Summary
`static int` | `FILE_ACCESSED`
`static int` | `FILE_ANY`
`static int` | `FILE_ATTRIBUTES_CHANGED`
`static int` | `FILE_CREATED`
`static int` | `FILE_DELETED`
`static int` | `FILE_MODIFIED`
`static int` | `FILE_NAME_CHANGED_NEW`
`static int` | `FILE_NAME_CHANGED_OLD`
`static int` | `FILE_RENAMED`
`static int` | `FILE_SECURITY_CHANGED`
`static int` | `FILE_SIZE_CHANGED`

Constructor Summary
`FileMonitor()`

Method Summary
`void` | `addFileListener(FileMonitor.FileListener listener)`
`void` | `addWatch(java.io.File dir)`
`void` | `addWatch(java.io.File dir, int mask)`
`void` | `addWatch(java.io.File dir, int mask, boolean recursive)`
`abstract void` | `dispose()`
`protected void` | `finalize()`
`static FileMonitor` | `getInstance()`
`protected void` | `notify(FileMonitor.FileEvent e)`
`void` | `removeFileListener(FileMonitor.FileListener x)`
`void` | `removeWatch(java.io.File file)`
`protected abstract void` | `unwatch(java.io.File file)`
`protected abstract void` | `watch(java.io.File file, int mask, boolean recursive)`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_CREATED

    public static final int FILE_CREATED

See Also:
  Constant Field Values

### FILE_DELETED

    public static final int FILE_DELETED

See Also:
  Constant Field Values

### FILE_MODIFIED

    public static final int FILE_MODIFIED

See Also:
  Constant Field Values

### FILE_ACCESSED

    public static final int FILE_ACCESSED

See Also:
  Constant Field Values

### FILE_NAME_CHANGED_OLD

    public static final int FILE_NAME_CHANGED_OLD

See Also:
  Constant Field Values

### FILE_NAME_CHANGED_NEW

    public static final int FILE_NAME_CHANGED_NEW

See Also:
  Constant Field Values

### FILE_RENAMED

    public static final int FILE_RENAMED

See Also:
  Constant Field Values

### FILE_SIZE_CHANGED

    public static final int FILE_SIZE_CHANGED

See Also:
  Constant Field Values

### FILE_ATTRIBUTES_CHANGED

    public static final int FILE_ATTRIBUTES_CHANGED

See Also:
  Constant Field Values

### FILE_SECURITY_CHANGED

    public static final int FILE_SECURITY_CHANGED

See Also:
  Constant Field Values

### FILE_ANY

    public static final int FILE_ANY

See Also:
  Constant Field Values

Constructor Detail

### FileMonitor

    public FileMonitor()

Method Detail

### watch

    protected abstract void watch(java.io.File file,
                                  int mask,
                                  boolean recursive)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### unwatch

    protected abstract void unwatch(java.io.File file)

### dispose

    public abstract void dispose()

### addWatch

    public void addWatch(java.io.File dir)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addWatch

    public void addWatch(java.io.File dir,
                         int mask)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### addWatch

    public void addWatch(java.io.File dir,
                         int mask,
                         boolean recursive)
                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### removeWatch

    public void removeWatch(java.io.File file)

### notify

    protected void notify(FileMonitor.FileEvent e)

### addFileListener

    public void addFileListener(FileMonitor.FileListener listener)

### removeFileListener

    public void removeFileListener(FileMonitor.FileListener x)

### finalize

    protected void finalize()

  Overrides:
    `finalize` in class `java.lang.Object`

### getInstance

    public static FileMonitor getInstance()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD